using System;
using System.IO;

class BinaryFilesDemo
{
	static void Main(string[] args)
	{
		FileStream fs = new FileStream("data.bin", FileMode.Create);
		using (fs) 
		{
			using (BinaryWriter writer = new BinaryWriter(fs))
			{
				AppendPerson(writer, " ", 57);
				AppendPerson(writer, " ", 33);
				AppendPerson(writer, " ", 26);
			}
		}

		fs = new FileStream("data.bin", FileMode.Open);
		using (fs)
		{
			using (BinaryReader reader = new BinaryReader(fs))
			{
				while (fs.Position < fs.Length-1)
				{
					string name;
					int age;
					ReadPerson(reader, out name, out age);
					Console.WriteLine("{0} - {1}", name, age);
				}
			}
		}
	}

	static void AppendPerson(BinaryWriter aWriter, 
		string aName, int aAge)
	{
		aWriter.Write(aName);
		aWriter.Write(aAge);
	}

	static void ReadPerson(BinaryReader aReader, 
		out string aName, out int aAge)
	{
		aName = aReader.ReadString();
		aAge = aReader.ReadInt32();
	}
}
